Skip to main content
GET
/
transcribe
/
workspace
/
{id}
/
transcriptions
Get transcriptions of a workspace
curl --request GET \
  --url https://api.pawa-ai.com/v1/transcribe/workspace/{id}/transcriptions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.pawa-ai.com/v1/transcribe/workspace/{id}/transcriptions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.pawa-ai.com/v1/transcribe/workspace/{id}/transcriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Workspace transcriptions fetched successfully",
  "data": [
    {
      "id": 1,
      "fileName": "meeting_recording.mp3",
      "fileUrl": "https://storage.domain.com/files/meeting_recording.mp3",
      "fileType": "audio/mpeg",
      "duration": 320,
      "transcript": {
        "filename": "testing audio.mp3",
        "transcript": "[Environmental Sounds]"
      },
      "status": "COMPLETED",
      "createdAt": "2026-02-23T08:00:00.000Z",
      "updatedAt": "2026-02-23T08:10:00.000Z"
    }
  ]
}
{
"success": false,
"message": "Invalid input provided"
}
{
"success": false,
"message": "Unauthorized access"
}
{
"success": false,
"message": "You do not have permission to access this resource"
}
{
"success": false,
"message": "Resource does not exist"
}
{
"success": false,
"message": "Rate limit exceeded. Please try again later."
}
{
"success": false,
"message": "Internal server error"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
number
required

Query Parameters

Search by file name

Example:

"meeting_recording"

page
number

Page number (starts from 1)

Example:

1

limit
number

Number of items per page

Example:

10

sortOrder
enum<string>

Sort order

Available options:
asc,
desc

Response

Workspace transcriptions fetched successfully

success
boolean
required
Example:

true

message
string
required
Example:

"Workspace transcriptions fetched successfully"

data
object[]
required